Record a playgroup
Its dogs, each once, each a dog; played_with names dogs in the session and is kept both ways. Each dog’s place is an enrichment entry of kind playgroup. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
playgroups
Record a playgroup
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/playgroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"held_at": "2026-10-29T15:00:00Z",
"minutes": 30,
"place": "Big yard",
"lead_person_id": "p_robin",
"support_person_ids": [
"p_jo"
],
"dogs": [
{
"animal_id": "a_biscuit",
"rating": "green",
"played_with": [
"a_waffles"
]
},
{
"animal_id": "a_waffles",
"rating": "green"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
held_at: '2026-10-29T15:00:00Z',
minutes: 30,
place: 'Big yard',
lead_person_id: 'p_robin',
support_person_ids: ['p_jo'],
dogs: [
{animal_id: 'a_biscuit', rating: 'green', played_with: ['a_waffles']},
{animal_id: 'a_waffles', rating: 'green'}
]
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/playgroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/playgroups"
payload = {
"held_at": "2026-10-29T15:00:00Z",
"minutes": 30,
"place": "Big yard",
"lead_person_id": "p_robin",
"support_person_ids": ["p_jo"],
"dogs": [
{
"animal_id": "a_biscuit",
"rating": "green",
"played_with": ["a_waffles"]
},
{
"animal_id": "a_waffles",
"rating": "green"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"playgroup": {
"id": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"support": [
{
"id": "<string>",
"name": "<string>"
}
],
"dogs": [
{
"animal_id": "<string>",
"name": "<string>",
"rating": "green",
"played_with": [
"<string>"
],
"note": "<string>"
}
],
"minutes": 300,
"place": "<string>",
"notes": "<string>",
"lead_person_id": "<string>",
"lead_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Record a playgroup
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/playgroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"held_at": "2026-10-29T15:00:00Z",
"minutes": 30,
"place": "Big yard",
"lead_person_id": "p_robin",
"support_person_ids": [
"p_jo"
],
"dogs": [
{
"animal_id": "a_biscuit",
"rating": "green",
"played_with": [
"a_waffles"
]
},
{
"animal_id": "a_waffles",
"rating": "green"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
held_at: '2026-10-29T15:00:00Z',
minutes: 30,
place: 'Big yard',
lead_person_id: 'p_robin',
support_person_ids: ['p_jo'],
dogs: [
{animal_id: 'a_biscuit', rating: 'green', played_with: ['a_waffles']},
{animal_id: 'a_waffles', rating: 'green'}
]
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/playgroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/playgroups"
payload = {
"held_at": "2026-10-29T15:00:00Z",
"minutes": 30,
"place": "Big yard",
"lead_person_id": "p_robin",
"support_person_ids": ["p_jo"],
"dogs": [
{
"animal_id": "a_biscuit",
"rating": "green",
"played_with": ["a_waffles"]
},
{
"animal_id": "a_waffles",
"rating": "green"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"playgroup": {
"id": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"support": [
{
"id": "<string>",
"name": "<string>"
}
],
"dogs": [
{
"animal_id": "<string>",
"name": "<string>",
"rating": "green",
"played_with": [
"<string>"
],
"note": "<string>"
}
],
"minutes": 300,
"place": "<string>",
"notes": "<string>",
"lead_person_id": "<string>",
"lead_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
